# Python integrations for [Oso Cloud](https://www.osohq.com/docs)

The Oso SDK provides web framework middleware for [`oso-cloud`](https://pypi.org/project/oso-cloud/), the Oso Cloud Client for Python.

**Please Note: The SDK is currently released as a developer preview. Do not use this SDK for production workloads.**


## Getting Started

>If you are looking for the sample application, navigate to [examples/starter-policy/fastapi](examples/starter-policy/fastapi/).

### Install

```bash
pip install --upgrade oso-sdk
```

### Integrations

The Oso SDK integrates directly with the following supported web frameworks:

- [FastAPI](https://github.com/osohq/oso-python/blob/main/examples/fastapi/README.md)
- [Flask](https://github.com/osohq/oso-python/blob/main/examples/flask/README.md)

If you want to add support for a new web framework, please submit a Pull Request or open a GitHub issue.

## Documentation

- To get up and running with Oso, try the [Quickstart guide](https://www.osohq.com/docs/get-started/quickstart/beginners-guide).
- Full documentation is available at [https://www.osohq.com/docs](https://www.osohq.com/docs).
- To learn about authorization best practices (not specific to Oso), read the [Authorization Academy](https://www.osohq.com/developers/authorization-academy) guides.

## Community & Support

If you have any questions on Oso or authorization more generally, you can join our engineering team & hundreds of other developers using Oso in our community Slack:

[![Button][join-slack-link]][badge-slack-link]

## Contributing to the SDK

Please refer to [CONTRIBUTING.md](https://github.com/osohq/oso-python/blob/main/CONTRIBUTING.md).

## License

Licensed under the Apache 2.0 license, see [LICENSE](https://github.com/osohq/oso-python/blob/main/LICENSE).

[join-slack-link]: https://user-images.githubusercontent.com/282595/128394344-1bd9e5b2-e83d-4666-b446-2e4f431ffcea.png
[badge-slack-link]: https://join-slack.osohq.com/
